# Generated by Django 4.2 on 2023-05-26 08:55

import common.utils
import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("contracts", "0016_alter_contract_child1_id_proof_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="contract",
            name="degree_certificate",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "contracts/", "degree_certificate_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AddField(
            model_name="contract",
            name="degree_name",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="contract",
            name="institute_name",
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name="contract",
            name="mark_percent",
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="contract",
            name="year_of_passing",
            field=models.DateField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="contracttemplate",
            name="get_educational_details",
            field=models.BooleanField(default=False),
        ),
    ]
